FileItem | Methods |  |

## deleteFile

현재 파일을 삭제합니다.

#### Syntax

    boolean deleteFile ()

#### Parameters

#### Return Values

파일 삭제 성공 여부를 반환합니다.

#### Remarks

#### Sample Codes

Java

    FileUpload fileUpload = new FileUpload(request, response);
    FileItem[] fileItems = null;
    try {
    	fileUpload.setAutoMakeDirs(true);
    	String saveDirPath = request.getRealPath("/");
    	saveDirPath += ("UploadDir" + File.separator);

    	fileUpload.startUpload(saveDirPath);

    	fileItems = fileUpload.getFileItems("files");
    	if(fileItems != null) {
    		for(int i=0; i<fileItems.length; i++)
    			fileItem[i].save(saveDirPath);
    	}
    }
    catch(CrossUploaderException ex) {
    }
    catch(Exception ex) {
    	// 업로드 된 모든 파일을 개별적으로 판단하여 삭제합니다.
    	if(fileItems != null) {
    		for(int i=0; i<fileItems.length; i++) {
    			// FileItem의 정보를 확인 후 필요할 경우 삭제
    			// getName();
    			// getFileName();
    			// getLastSavedDirPath();
    			// getLastSavedFilePath();
    			// getLastSavedFileName();
    			// getFileSize();
    			// getFileNameWithoutFileExt();
    			// getFileExtension();
    			// getContentType();
    			// isSaved();
    			// isEmptyFile();

    			fileItems[i].deleteFile();
    	}
    }
    finally {
    	fileUpload.clear();
    }